# -*- coding: utf-8 -*-
"""or_ia.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1Ibi_RXANYbQaSf1WeoFNIBbwEv9kP1p1
"""

import numpy as np
import matplotlib.pyplot as plt
from keras.models import Sequential
from keras.layers.core import Dense

entradas =np.array([[0,0],[0,1],[1,0],[1,1]], "float32")
salidas=np.array([[0],[1],[1],[1]], "float32")

model=Sequential()
model.add(Dense(16,input_dim=2,activation='relu'))
model.add(Dense(1,activation='sigmoid'))


model.compile(loss="mean_squared_error", optimizer="adam", metrics=['binary_accuracy'])

historial=model.fit(entradas,salidas,epochs=1000)


plt.plot(historial.history["loss"])
plt.title("Proceso de Perdidas")
plt.xlabel('Epocas')
plt.ylabel('Perdidas')
plt.show()

print("Prediccion::::::")
print(model.predict([[1,1]]).round())